<div  v-if="steps['base']['show']" class="report-form__body">
  <header-comment name="Общая информация" label="base"></header-comment>
  <div  class="report-group">
    <div class="report-group__body">
      <info-field
        v-for="(field, name, i) in base"
        :name="name" 
        :value="getAutoField(fieldss.auto, name)" 
        :humanize="field.humanize" 
        :label="field.name"
        :type="field.type"  
        :validate="field.validate"   
        :error="errors['auto']"  
        v-on:event_change_field="setAutoField" 
        ></info-field>  
      <div class="report-field report-field_info">
        <div class="report-field__header">
          <h5 class="report-field__title">Фотографии с осмотра</h5>
        </div>
        <div class="report-field__body">
          <div class="report-field__control report-field__control_positive">
            <gallery 
            ref="photos" 
            :uploaded="photo_inspection"
            :multiple=true 
            update-photo-url="/report/update-photo/" 
            delete-photo-url="/report/delete-photo/"
            v-on:event_upload_photo="photoUpload"
            v-on:event_delete_photo="photoDelete"
            v-on:event_change_photo="photoChange"
            type="photo_inspection"
            :clear_files="clear_files"
            cover="true" 
            ></gallery>
          </div>
        </div>
      </div>
      <div class="report-field report-field_info">
        <div class="report-field__header">
          <h5 class="report-field__title">Фотографии со сдачи</h5>
        </div>
        <div class="report-field__body">
          <div class="report-field__control report-field__control_positive">
            <gallery 
              :uploaded="photo_change"
              :multiple=true 
              update-photo-url="/report/update-photo/" 
              delete-photo-url="/report/delete-photo/"
              v-on:event_upload_photo="photoUpload"
              v-on:event_delete_photo="photoDelete"
              v-on:event_change_photo="photoChange"
              type="photo_change"
              :clear_files="clear_files"
            ></gallery>
          </div>
        </div>
      </div>
    </div>
  </div>
  <submit-step  v-on:event_validate_before_submit="validateBeforeSubmit"  
  label="base" name="Далее"></submit-step>
</div>

